-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.7.18-log


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;




--
-- Definition of table `brand`
--

DROP TABLE IF EXISTS `brand`;
CREATE TABLE `brand` (
  `idbrand` int(11) NOT NULL AUTO_INCREMENT,
  `Brand` varchar(50) NOT NULL,
  PRIMARY KEY (`idbrand`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `brand`
--

/*!40000 ALTER TABLE `brand` DISABLE KEYS */;
INSERT INTO `brand` (`idbrand`,`Brand`) VALUES 
 (1,'Mercedes'),
 (2,'Toyota'),
 (3,'Nissan'),
 (4,'Volkswagen'),
 (5,'Seat'),
 (6,'Opel'),
 (7,'Citroen'),
 (8,'Chevrolet');
/*!40000 ALTER TABLE `brand` ENABLE KEYS */;


--
-- Definition of table `model`
--

DROP TABLE IF EXISTS `model`;
CREATE TABLE `model` (
  `idmodel` int(11) NOT NULL AUTO_INCREMENT,
  `brand_idbrand` int(11) NOT NULL,
  `Model` varchar(50) NOT NULL,
  PRIMARY KEY (`idmodel`),
  KEY `fk_model_brand_idx` (`brand_idbrand`),
  CONSTRAINT `fk_model_brand` FOREIGN KEY (`brand_idbrand`) REFERENCES `brand` (`idbrand`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `model`
--

/*!40000 ALTER TABLE `model` DISABLE KEYS */;
INSERT INTO `model` (`idmodel`,`brand_idbrand`,`Model`) VALUES 
 (1,1,'200'),
 (2,2,'Corolla'),
 (3,3,'Sentra'),
 (4,1,'300'),
 (5,4,'Passat'),
 (6,4,'Golf'),
 (7,4,'Polo'),
 (8,5,'León'),
 (9,5,'Ibiza'),
 (10,7,'Xara'),
 (11,6,'Zafira'),
 (12,6,'Kaddet'),
 (14,6,'Corsa'),
 (15,8,'Sonic'),
 (16,1,'450');
/*!40000 ALTER TABLE `model` ENABLE KEYS */;
--
-- Definition of table `car`
--

DROP TABLE IF EXISTS `car`;
CREATE TABLE `car` (
  `idcar` int(11) NOT NULL AUTO_INCREMENT,
  `brand_idbrand` int(11) NOT NULL,
  `model_idmodel` int(11) NOT NULL,
  `Year` int(11) NOT NULL,
  `Price` decimal(10,2) NOT NULL,
  PRIMARY KEY (`idcar`),
  KEY `fk_car_brand1_idx` (`brand_idbrand`),
  KEY `fk_car_model1_idx` (`model_idmodel`),
  CONSTRAINT `fk_car_brand1` FOREIGN KEY (`brand_idbrand`) REFERENCES `brand` (`idbrand`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_car_model1` FOREIGN KEY (`model_idmodel`) REFERENCES `model` (`idmodel`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `car`
--

/*!40000 ALTER TABLE `car` DISABLE KEYS */;
INSERT INTO `car` (`idcar`,`brand_idbrand`,`model_idmodel`,`Year`,`Price`) VALUES 
 (1,1,1,1991,'2450.00'),
 (2,2,2,2006,'3200.00'),
 (3,3,3,2010,'3125.00'),
 (4,1,1,2001,'3500.00'),
 (5,5,8,2015,'2458.00'),
 (6,5,8,2018,'12500.00'),
 (7,5,9,2017,'7580.00'),
 (8,1,1,1980,'10.00'),
 (9,1,1,1980,'10.25'),
 (10,1,1,2015,'15000.00'),
 (11,3,3,2015,'8000.25'),
 (12,6,12,2000,'525.00'),
 (13,6,14,2000,'525.00'),
 (14,8,15,2015,'17000.00'),
 (15,8,15,2016,'18000.00'),
 (16,1,16,2015,'45000.00');
/*!40000 ALTER TABLE `car` ENABLE KEYS */;


--
-- Definition of table `car_settings`
--

DROP TABLE IF EXISTS `car_settings`;
CREATE TABLE `car_settings` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `TYPE` int(11) DEFAULT '1',
  `NAME` mediumtext,
  `USERNAME` mediumtext,
  `COOKIE` varchar(500) DEFAULT NULL,
  `SEARCH` mediumtext,
  `TABLENAME` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `car_settings`
--

/*!40000 ALTER TABLE `car_settings` DISABLE KEYS */;
INSERT INTO `car_settings` (`ID`,`TYPE`,`NAME`,`USERNAME`,`COOKIE`,`SEARCH`,`TABLENAME`) VALUES 
 (1,2,NULL,NULL,'b7a4np437dqc6nzippbu45er','{\"gridWidth\":540.4,\"thWidths\":{\"grid_headcell_icons\":19.4,\"grid_headcell_checkbox\":19.4,\"grid_headcell_field\":27.4,\"grid_headcell_field1\":134.4,\"grid_headcell_field2\":81.4,\"grid_headcell_field3\":45.4,\"grid_headcell_field4\":146.4}}','car'),
 (2,2,NULL,NULL,'b7a4np437dqc6nzippbu45er','{\"gridWidth\":289.4,\"thWidths\":{\"grid_headcell_icons\":19.4,\"grid_headcell_checkbox\":19.4,\"grid_headcell_details\":33.4,\"grid_headcell_field\":9.4,\"grid_headcell_field1\":160.4}}','brand'),
 (3,2,NULL,NULL,'b7a4np437dqc6nzippbu45er','{\"gridWidth\":370.4,\"thWidths\":{\"grid_headcell_icons\":19.4,\"grid_headcell_checkbox\":19.4,\"grid_headcell_field\":9.4,\"grid_headcell_field1\":102.4,\"grid_headcell_field2\":172.4}}','model');
/*!40000 ALTER TABLE `car_settings` ENABLE KEYS */;






/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
